{% extends "base.html" %}

{% block content %}
    <div>
        <h1>My Tasks</h1>
        {% if tasks.all %}
        <table>
            <thead>
                <th>Name</th>
                <th>Start date</th>
                <th>Due date</th>
                <th>Is completed</th>
            </thead>
            <tbody>
                {% for task in tasks.all %}
                <tr>
                    <td>{{ task.name }}</td>
                    <td>{{ task.start_date }}</td>
                    <td>{{ task.due_date }}</td>
                    {% if task.is_completed == True %}
                        <td>yes</td>
                    {% else %}
                        <td>no</td>
                    {% endif %}
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% else %}
            <p>You have no tasks</p>
        {% endif %}
    </div>
{% endblock content %}
